<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package yuno
 */

get_header();
get_template_part( 'breadcrumb' );

$pagination   = yuno_theme_mod_option( 'yuno_radio_post_pagination' );
$blog_sidebar = yuno_theme_mod_option( 'yuno_blog_sidebar_layout' );
if ( $blog_sidebar == 'no_sidebar' ) {
	$class = 'col-lg-12';
} else {
	$class = 'col-lg-8';
}

?>
</div>
<div class="container"> 
	<div class="row">
		<?php if ( $blog_sidebar == 'left_sidebar' ) get_sidebar(); ?>
		<main id="primary" class="site-main <?php echo esc_attr( $class ); ?>">

			<?php if ( have_posts() ) : ?>
				<?php
				/* Start the Loop */
				while ( have_posts() ) :
					the_post();

					/*
					 * Include the Post-Type-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
					 */
					get_template_part( 'template-parts/content', get_post_type() );

				endwhile;

				if ( $pagination == 'default' ) {
					the_posts_navigation();
				} else {
					echo wp_kses_post( the_posts_pagination( array( 'mid_size' => 2 ) ) );
				}

			else :

				get_template_part( 'template-parts/content', 'none' );

			endif;
			?>

		</main><!-- #main -->
		<?php if ( $blog_sidebar == 'right_sidebar' ) get_sidebar(); ?>
	</div>
</div>
<?php 
get_footer();