<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package yuno
 */
$copy_right_txt  = yuno_theme_mod_option( 'yuno_copyright_text' );
$scroll_to_top   = yuno_theme_mod_option( 'yuno_scroll_to_top' );
$yuno_pageloader = yuno_theme_mod_option( 'yuno_pageloader' );
?>
	<footer id="colophon" class="site-footer">
		<?php if ( is_active_sidebar( 'footer-widgets' ) ) { ?>
		<div class="container"> 
			<div class="row">
				<div class="col-lg-3 col-md-6 col-sm-12">
					<?php dynamic_sidebar( 'footer-widgets' ); ?>
				</div>
				<div class="col-lg-3 col-md-6 col-sm-12">
					<?php dynamic_sidebar( 'footer-widgets-2' ); ?>
				</div>
				<div class="col-lg-3 col-md-6 col-sm-12">
					<?php dynamic_sidebar( 'footer-widgets-3' ); ?>
				</div>
				<div class="col-lg-3 col-md-6 col-sm-12">
					<?php dynamic_sidebar( 'footer-widgets-4' ); ?>
				</div>
			</div>
		</div>
		<?php } if ( ! empty ( $copy_right_txt ) ) { ?>
		<div class="site-info">
			<?php echo wp_kses_post( $copy_right_txt ); ?>
		</div><!-- .site-info -->
	<?php } ?>
	</footer><!-- #colophon -->
</div><!-- #page -->
	<?php if ( $yuno_pageloader == 'show' ) { ?>
   <!--page-loader-->
   <div class="preloader" id="preloader">
	    <div class="preloader-inner">
			<div class="loader">
				<div class="face">
					<div class="circle"></div>
				</div>
				<div class="face">
					<div class="circle"></div>
				</div>
			</div>

	    </div>
	</div>
	<?php } ?>
</div>
<?php if ( $scroll_to_top == 'show' ) { ?>
<a href="javascript:" class="scroll-to-top  animation-ripple">
    <span class="">
		<i class="fas fa-chevron-up"></i>
    </span>
</a>
<?php } wp_footer(); ?>
</body>
</html>