<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package yuno
 */

get_header();
get_template_part( 'breadcrumb' );

$page_sidebar = yuno_theme_mod_option( 'yuno_page_sidebar_layout' );
if ( $page_sidebar == 'no_sidebar' ) {
	$class = 'col-lg-12';
} else {
	$class = 'col-lg-8';
}
?>
</div>
<div class="container"> 
	<div class="row">
		<?php if ( $page_sidebar == 'left_sidebar' ) get_sidebar(); ?>
		<main id="primary" class="site-main <?php echo esc_attr( $class ); ?>">

			<?php
			while ( have_posts() ) :
				the_post();

				get_template_part( 'template-parts/content', 'page' );

				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;

			endwhile; // End of the loop.
			?>

		</main><!-- #main -->
		<?php if ( $page_sidebar == 'right_sidebar' ) get_sidebar(); ?>
	</div>
</div>
<?php 
get_footer();