<?php

/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package yuno
 */
$author   = yuno_theme_mod_option('yuno_show_single_author');
$date     = yuno_theme_mod_option('yuno_show_single_date');
$fimage   = yuno_theme_mod_option('yuno_show_single_fimage');
$category = yuno_theme_mod_option('yuno_show_single_category');
$tags     = yuno_theme_mod_option('yuno_show_single_tags');
?>
<article clas="blog-item" id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<figure>
		<?php if ($fimage == 'show' ) { ?>
		<div class="post-thumbnail blog-item-img">
			<?php
				if (has_post_thumbnail()) {
					echo '<a href="' . esc_attr(esc_url(get_the_permalink())) . '" rel="lightbox">';
					the_post_thumbnail('', array('class' => 'blog-img img-fluid'));
					echo '</a>';
				}

				if ($date == 'show' ) {
			?>
			<div class="post-date">
				<time class="entry-date published updated" datetime="<?php echo esc_html(get_the_date()); ?>">
					<span><?php echo esc_html(get_the_date('d')); ?></span>
					<small><?php echo esc_html(get_the_date('M')); ?><br><?php echo esc_html(get_the_date('Y')); ?></small>
				</time>
			</div>
			<?php } ?>
		</div>
		<?php } ?>
		<figcaption class="blog-body">

			<div class="blog_item_inner <?php if (!has_post_thumbnail()) { echo esc_attr( 'meta-tags', 'yuno'); } ?>">
				<h4 class="blog-title">
					<a href="<?php echo esc_attr(esc_url(get_the_permalink())); ?>"><?php the_title(); ?></a>
				</h4>
			</div>


			<div class="post-info content-center">
				<?php if ($author == 'show' ) { ?>
				<a class="post-author-link" href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>" tooltip="<?php echo esc_html(get_the_author()); ?>">
					<img src="<?php echo esc_url(get_avatar_url('ID')); ?>" class="post-author-img" alt="<?php echo esc_html(get_the_author()); ?>">
					<?php echo get_the_author(); ?>
				</a>
				<?php } if ($category == 'show' || $tags == 'show') { ?>
				<div class="post-taxonomies">
					<?php if ($category == 'show' ) { ?>
					<a href="javascript:void(0)" class="post-tag"><i class="fas fa-layer-group"></i></a>
					<?php
						$categories_list = get_the_category_list(esc_html__(', ', 'yuno'));
						if ($categories_list) {
							echo wp_kses_post($categories_list);
						}
						
						} if ($tags == 'show' ) { ?>
					<a href="javascript:void(0)" class="post-tag"><i class="fas fa-tags"></i></a>
					<?php
						$tags_list = get_the_tag_list('', esc_html_x(', ', 'list item separator', 'yuno'));
						if ($tags_list) {
							echo wp_kses_post($tags_list);
						}
						}
					?>
				</div>
				<?php } ?>
				<a href="#" class="post-comment"><i class="fas fa-comment-dots"></i>&nbsp;
					<?php echo esc_html(get_comments_number(get_the_ID())); ?>
				</a>
			</div>
			<div class="entry-content">
				<?php
				the_content(
					sprintf(

						wp_kses_post(get_the_title())
					)
				);

				wp_link_pages(
					array(
						'before' => '<div class="page-links">' . esc_html__('Pages:', 'yuno'),
						'after'  => '</div>',
					)
				);
				?>
			</div><!-- .entry-content -->
		</figcaption>
	</figure>

</article><!-- #post-<?php the_ID(); ?> -->